#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(caam_jr_driver_probed, 0x93da4bdc, "");
SYMBOL_CRC(caam_jr_alloc, 0x9ca84128, "");
SYMBOL_CRC(caam_jridx_alloc, 0xc649c868, "");
SYMBOL_CRC(caam_jr_free, 0xdf5fdf0a, "");
SYMBOL_CRC(caam_jr_enqueue, 0x5463e7a9, "");
SYMBOL_CRC(caam_jr_run_and_wait_for_completion, 0xb2083bb4, "");
SYMBOL_CRC(split_key_done, 0x04026282, "");
SYMBOL_CRC(gen_split_key, 0xba29323d, "");
SYMBOL_CRC(is_key_type, 0x8f0f5df9, "");
SYMBOL_CRC(is_trusted_type, 0x3c7ddf02, "");
SYMBOL_CRC(is_black_key, 0xebe3ac7d, "");
SYMBOL_CRC(is_valid_header_conf, 0x5a8495c1, "");
SYMBOL_CRC(get_key_conf, 0xa601e42b, "");
SYMBOL_CRC(init_tag_object_header, 0x91aa93a3, "");
SYMBOL_CRC(set_tag_object_header_conf, 0xdf34136f, "");
SYMBOL_CRC(generate_black_key, 0x75f8c1f3, "");
SYMBOL_CRC(caam_blob_encap, 0x67e862d3, "");
SYMBOL_CRC(caam_blob_decap, 0x6b708bef, "");
SYMBOL_CRC(caam_process_blob, 0x3803dfab, "");
SYMBOL_CRC(caam_blob_gen_init, 0xfc157785, "");
SYMBOL_CRC(caam_blob_gen_exit, 0xea6fe7c3, "");
SYMBOL_CRC(slot_alloc, 0x763d96c0, "");
SYMBOL_CRC(slot_dealloc, 0xa869fff6, "");
SYMBOL_CRC(sm_init_keystore, 0x65ba03cf, "");
SYMBOL_CRC(sm_detect_keystore_units, 0xb5f545f0, "");
SYMBOL_CRC(sm_establish_keystore, 0xce9be6e8, "");
SYMBOL_CRC(sm_release_keystore, 0x9ed4c25f, "");
SYMBOL_CRC(sm_keystore_slot_alloc, 0x1197280e, "");
SYMBOL_CRC(sm_keystore_slot_dealloc, 0x76a4efc6, "");
SYMBOL_CRC(sm_keystore_slot_load, 0xd6aeefaf, "");
SYMBOL_CRC(sm_keystore_slot_read, 0x911b035b, "");
SYMBOL_CRC(sm_keystore_cover_key, 0x0ee5502a, "");
SYMBOL_CRC(sm_keystore_slot_export, 0x15b09812, "");
SYMBOL_CRC(sm_keystore_slot_import, 0xab69a86c, "");
SYMBOL_CRC(caam_sm_shutdown, 0x59822d05, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ba04466, "crypto_skcipher_encrypt" },
	{ 0xa87b1a57, "crypto_finalize_akcipher_request" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x75ed33fe, "crypto_register_rng" },
	{ 0xf1a789fd, "device_set_wakeup_enable" },
	{ 0xaed45471, "misc_deregister" },
	{ 0xb1d4d904, "device_set_wakeup_capable" },
	{ 0x5d1c9b4d, "devres_release_group" },
	{ 0x3a6e2372, "devm_request_threaded_irq" },
	{ 0x245628f9, "of_platform_device_create" },
	{ 0xab9764, "devres_close_group" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0xd9d54479, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0xb10e7df4, "__kfifo_dma_in_prepare" },
	{ 0x348963ea, "platform_driver_unregister" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20e053ed, "dmam_alloc_attrs" },
	{ 0xd25da602, "caam_dump_sg" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec7ce216, "cnstr_shdsc_rfc4543_encap" },
	{ 0x179b738e, "dma_unmap_page_attrs" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x6c0f66ce, "cnstr_shdsc_rfc4543_decap" },
	{    0x2bb, "devm_ioremap" },
	{ 0xd16a3173, "dma_sync_single_for_device" },
	{ 0x3f59d6dd, "request_bus_freq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaedf78bb, "crypto_register_aead" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x1db2849c, "crypto_unregister_aead" },
	{ 0xb8bf26c8, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d83a26, "crypto_engine_exit" },
	{ 0xb8b45450, "cnstr_shdsc_skcipher_decap" },
	{ 0xd866978a, "crypto_skcipher_setkey" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x13bec41d, "release_bus_freq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x8f4e08, "cnstr_shdsc_ahash" },
	{ 0x1c8f504d, "dev_driver_string" },
	{ 0x472a1e42, "of_find_compatible_node" },
	{ 0xe7066b6c, "crypto_unregister_ahash" },
	{ 0x8c88a582, "crypto_destroy_tfm" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0x58a74ace, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xd065f2ec, "crypto_transfer_akcipher_request_to_engine" },
	{ 0xad9c2873, "cnstr_shdsc_chachapoly" },
	{ 0x6301371e, "crypto_finalize_hash_request" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x37734e06, "caam_dpaa2" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x35547cc1, "crypto_skcipher_decrypt" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x87b958, "_dev_info" },
	{ 0x1f5a6976, "cnstr_shdsc_aead_encap" },
	{ 0x20885a6c, "devm_add_action" },
	{ 0xf822a04b, "compat_ptr_ioctl" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x53182802, "cnstr_shdsc_rfc4106_decap" },
	{ 0xf7e8cf8, "crypto_transfer_hash_request_to_engine" },
	{ 0xcb0af71d, "sg_miter_next" },
	{ 0xe53f0591, "cnstr_shdsc_aead_decap" },
	{ 0x8a16657a, "crypto_register_skcipher" },
	{ 0xb00a8d3d, "crypto_unregister_rng" },
	{ 0xcfd29757, "_dev_err" },
	{ 0x7d41d743, "device_wakeup_enable" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xe70b1694, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x7567d87b, "crypto_unregister_akcipher" },
	{ 0x78e8ced9, "cnstr_shdsc_aead_givencap" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x2ce63191, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x40132e9e, "crypto_register_ahash" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0xafc98423, "sg_miter_stop" },
	{ 0xa3e5d2a5, "crypto_engine_start" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa19704b9, "crypto_unregister_skcipher" },
	{ 0xbc0d73e5, "cnstr_desc_blob_decap" },
	{ 0xa2f075e1, "devres_open_group" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xbba2dad8, "cnstr_desc_black_key" },
	{ 0x3d322b36, "sg_miter_start" },
	{ 0xf16de5ae, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0xfd33e1ce, "misc_register" },
	{ 0x18e4c931, "crypto_transfer_aead_request_to_engine" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x86529e0c, "cnstr_desc_random_black_key" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb437fb53, "__platform_driver_register" },
	{ 0x59d502c0, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0xc73af9e, "crypto_finalize_aead_request" },
	{ 0x9cde4614, "of_device_is_compatible" },
	{ 0x71954f0c, "cnstr_shdsc_gcm_decap" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62b05069, "of_device_unregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87b8798d, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb346b4c6, "cnstr_shdsc_aead_null_encap" },
	{ 0xcda81ce1, "caam_strstatus" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1e6cbd4, "cnstr_shdsc_gcm_encap" },
	{ 0x1fa748c, "cnstr_shdsc_skcipher_encap" },
	{ 0x6f135de5, "cnstr_shdsc_aead_null_decap" },
	{ 0x7d8247cd, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0x83830415, "dma_set_mask" },
	{ 0xd36bacda, "cnstr_shdsc_rfc4106_encap" },
	{ 0x4dce2819, "dma_unmap_sg_attrs" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x4b1f70cb, "cnstr_desc_blob_encap" },
	{ 0x72d4a8a7, "cnstr_shdsc_sk_hash" },
	{ 0x65b799d2, "irq_of_parse_and_map" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x872d492a, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x5bbdfa26, "scatterwalk_ffwd" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0xab26a709, "devm_hwrng_register" },
	{ 0x62c3f674, "crypto_engine_alloc_init_and_set" },
	{ 0x995b7df7, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9412261, "crypto_alloc_skcipher" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "crypto_engine,error,caamalg_desc,caamhash_desc,authenc,caam,caamkeyblob_desc,libdes");

MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec-v4.0-job-ringC*");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ring");
MODULE_ALIAS("of:N*T*Cfsl,sec4.0-job-ringC*");
