#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dpaa2_caam_enqueue, 0x2cfa7b82, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ba04466, "crypto_skcipher_encrypt" },
	{ 0xbd67c092, "caam_imx" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0xd9d54479, "cnstr_shdsc_xts_skcipher_decap" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xf766da64, "netif_napi_add_weight" },
	{ 0x5644fbcf, "fsl_mc_portal_allocate" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd25da602, "caam_dump_sg" },
	{ 0x910a04a, "iommu_iova_to_phys" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec7ce216, "cnstr_shdsc_rfc4543_encap" },
	{ 0x179b738e, "dma_unmap_page_attrs" },
	{ 0x6c0f66ce, "cnstr_shdsc_rfc4543_decap" },
	{ 0x4c72bbe0, "fsl_mc_driver_unregister" },
	{ 0x2f10852c, "dpaa2_io_service_select" },
	{ 0xd16a3173, "dma_sync_single_for_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0xaedf78bb, "crypto_register_aead" },
	{ 0x1db2849c, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x66be4c22, "seq_lseek" },
	{ 0xb8b45450, "cnstr_shdsc_skcipher_decap" },
	{ 0xd866978a, "crypto_skcipher_setkey" },
	{ 0x58e18d53, "__netif_napi_del" },
	{ 0xf2c34811, "kmem_cache_create" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x8f4e08, "cnstr_shdsc_ahash" },
	{ 0x1c8f504d, "dev_driver_string" },
	{ 0xe7066b6c, "crypto_unregister_ahash" },
	{ 0x8c88a582, "crypto_destroy_tfm" },
	{ 0x3d01f417, "dpaa2_io_service_pull_fq" },
	{ 0x53d0fc97, "caam_ptr_sz" },
	{ 0x58a74ace, "dma_map_page_attrs" },
	{ 0xec2f73, "napi_complete_done" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xad9c2873, "cnstr_shdsc_chachapoly" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x30f2d6c, "dpaa2_io_service_enqueue_fq" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0xb9e81961, "dpaa2_io_query_fq_count" },
	{ 0x35547cc1, "crypto_skcipher_decrypt" },
	{ 0x261cd01, "dpaa2_io_store_next" },
	{ 0x40384ba4, "kmem_cache_alloc" },
	{ 0x87b958, "_dev_info" },
	{ 0x1f5a6976, "cnstr_shdsc_aead_encap" },
	{ 0x1b7c4023, "dpaa2_io_service_rearm" },
	{ 0xeab569ae, "iommu_get_domain_for_dev" },
	{ 0x53182802, "cnstr_shdsc_rfc4106_decap" },
	{ 0xe53f0591, "cnstr_shdsc_aead_decap" },
	{ 0x8a16657a, "crypto_register_skcipher" },
	{ 0xcfd29757, "_dev_err" },
	{ 0xe70b1694, "cnstr_shdsc_xts_skcipher_encap" },
	{ 0x78e8ced9, "cnstr_shdsc_aead_givencap" },
	{ 0xcdf10169, "kmem_cache_free" },
	{ 0x8667b5a3, "debugfs_remove" },
	{ 0x9a9f03f4, "napi_enable" },
	{ 0x40132e9e, "crypto_register_ahash" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xa19704b9, "crypto_unregister_skcipher" },
	{ 0x7290b552, "cnstr_shdsc_tls_decap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0x5b26d3bb, "dpaa2_io_service_deregister" },
	{ 0xf16de5ae, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x59d502c0, "dma_set_coherent_mask" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x6d7cf528, "seq_read" },
	{ 0x845dbf3b, "scatterwalk_map_and_copy" },
	{ 0x76ba7a00, "debugfs_create_file" },
	{ 0xdeaf4d06, "cnstr_shdsc_tls_encap" },
	{ 0xec28725, "dpaa2_io_service_register" },
	{ 0x71954f0c, "cnstr_shdsc_gcm_decap" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x87b8798d, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf6e9a7de, "dpaa2_io_store_create" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bb2c517, "seq_printf" },
	{ 0xcda81ce1, "caam_strstatus" },
	{ 0xf1e6cbd4, "cnstr_shdsc_gcm_encap" },
	{ 0x1fa748c, "cnstr_shdsc_skcipher_encap" },
	{ 0xa51f16c7, "caam_little_end" },
	{ 0xb7fd6c1a, "single_release" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0x83830415, "dma_set_mask" },
	{ 0xd36bacda, "cnstr_shdsc_rfc4106_encap" },
	{ 0x752ab88d, "dev_err_probe" },
	{ 0x4dce2819, "dma_unmap_sg_attrs" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x14939696, "fsl_mc_portal_free" },
	{ 0x3e79591c, "__napi_schedule_irqoff" },
	{ 0xc4c7d43f, "napi_schedule_prep" },
	{ 0xc7186ab9, "napi_disable" },
	{ 0xa3780987, "single_open" },
	{ 0x8e69ef62, "debugfs_create_dir" },
	{ 0xabc23307, "mc_send_command" },
	{ 0x5bbdfa26, "scatterwalk_ffwd" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0x2efc6c58, "__fsl_mc_driver_register" },
	{ 0x87bc35c4, "kmem_cache_destroy" },
	{ 0x995b7df7, "dma_map_sg_attrs" },
	{ 0x4994345c, "dpaa2_io_store_destroy" },
	{ 0x9412261, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "error,caamalg_desc,caamhash_desc,authenc,libdes");

MODULE_ALIAS("fsl-mc:v00001957ddpseci");
