#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(get_ele_mu_priv, 0x0e34ed46, "_gpl");
SYMBOL_CRC(read_common_fuse, 0xec64b4cf, "_gpl");
SYMBOL_CRC(ele_ping, 0x6a85cb48, "_gpl");
SYMBOL_CRC(ele_service_swap, 0xf47789c2, "_gpl");
SYMBOL_CRC(ele_get_info, 0xbb28594b, "_gpl");
SYMBOL_CRC(ele_get_trng_state, 0x2d13af8a, "_gpl");
SYMBOL_CRC(ele_start_rng, 0x177c034f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd05bef87, "mbox_send_message" },
	{ 0xdb570c9, "devm_of_platform_populate" },
	{ 0xaed45471, "misc_deregister" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0xd420c392, "of_property_read_variable_u32_array" },
	{ 0x348963ea, "platform_driver_unregister" },
	{ 0x9da43d70, "mbox_free_channel" },
	{ 0xa6257a2f, "complete" },
	{ 0x20e053ed, "dmam_alloc_attrs" },
	{ 0x8387d711, "devm_iounmap" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcf2a6966, "up" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4f211322, "mbox_request_channel_byname" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6698547b, "of_reserved_mem_device_release" },
	{ 0x87b958, "_dev_info" },
	{ 0x20885a6c, "devm_add_action" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x718360eb, "of_match_device" },
	{ 0x825b7fcc, "devm_kfree" },
	{ 0xcfd29757, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa5612421, "of_property_read_string" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xe019e5, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0xbe2e9b9f, "soc_device_register" },
	{ 0xfd33e1ce, "misc_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6f89af3f, "of_property_read_variable_u8_array" },
	{ 0x4110a806, "of_reserved_mem_device_init_by_idx" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb437fb53, "__platform_driver_register" },
	{ 0x9e54c6e, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x914e4ee5, "of_gen_pool_get" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x57ae5dba, "of_root" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0xab26a709, "devm_hwrng_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cfsl,imx-ele");
MODULE_ALIAS("of:N*T*Cfsl,imx-eleC*");
MODULE_ALIAS("of:N*T*Cfsl,imx93-ele");
MODULE_ALIAS("of:N*T*Cfsl,imx93-eleC*");
