#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x04254c76, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x279f2917, "");
SYMBOL_CRC(mddev_suspend, 0xbb178971, "_gpl");
SYMBOL_CRC(mddev_resume, 0x14439f41, "_gpl");
SYMBOL_CRC(md_flush_request, 0x3e93dedc, "");
SYMBOL_CRC(mddev_init, 0x53ae9081, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x41066fee, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xd96c5b69, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x61e08232, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x58e150dd, "_gpl");
SYMBOL_CRC(sync_page_io, 0x44519adf, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x209f3c8f, "");
SYMBOL_CRC(md_integrity_register, 0x944c144a, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x0a59858c, "");
SYMBOL_CRC(md_kick_rdev_from_array, 0x2e377707, "_gpl");
SYMBOL_CRC(md_update_sb, 0x83ddfaad, "");
SYMBOL_CRC(md_rdev_init, 0xc745f124, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0xde19057c, "_gpl");
SYMBOL_CRC(md_run, 0x59c85172, "_gpl");
SYMBOL_CRC(md_start, 0xa49d4fcd, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xddc09555, "_gpl");
SYMBOL_CRC(md_stop, 0x233a782f, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x2e53564f, "");
SYMBOL_CRC(md_wakeup_thread, 0x49296eae, "");
SYMBOL_CRC(md_register_thread, 0x03fb6c9f, "");
SYMBOL_CRC(md_unregister_thread, 0x407b0cbd, "");
SYMBOL_CRC(md_error, 0x514775b2, "");
SYMBOL_CRC(register_md_personality, 0xe00b58a8, "");
SYMBOL_CRC(unregister_md_personality, 0x6ea9b78d, "");
SYMBOL_CRC(register_md_cluster_operations, 0x8c675cdf, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xf90641d7, "");
SYMBOL_CRC(md_write_start, 0xc677e18a, "");
SYMBOL_CRC(md_write_inc, 0x1af052ca, "");
SYMBOL_CRC(md_write_end, 0x7c149960, "");
SYMBOL_CRC(md_submit_discard_bio, 0xe25474ea, "_gpl");
SYMBOL_CRC(acct_bioset_init, 0xfd69be18, "_gpl");
SYMBOL_CRC(acct_bioset_exit, 0xa4a1a100, "_gpl");
SYMBOL_CRC(md_account_bio, 0x01177c22, "_gpl");
SYMBOL_CRC(md_allow_write, 0x6d632336, "_gpl");
SYMBOL_CRC(md_do_sync, 0x2a0fc605, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x8184a535, "");
SYMBOL_CRC(md_reap_sync_thread, 0x5fac2929, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x2e058c47, "");
SYMBOL_CRC(md_finish_reshape, 0xec2a62ce, "");
SYMBOL_CRC(rdev_set_badblocks, 0xf5796066, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x463b1ce3, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x5ca6498c, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x58a4eda2, "");
SYMBOL_CRC(md_bitmap_unplug, 0x60200075, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x509510f9, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xb1db291a, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xef4ec9de, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x83c6b6af, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x45d5d501, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x8226c63e, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0xaecd2e64, "");
SYMBOL_CRC(md_bitmap_free, 0xb3f8265d, "");
SYMBOL_CRC(md_bitmap_load, 0x322d4c0b, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xaaed2c2f, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0xd947d21d, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x31643679, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9984c895, "set_capacity_and_notify" },
	{ 0xe7c7087f, "set_disk_ro" },
	{ 0xf9977388, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa7dad23, "blk_integrity_register" },
	{ 0xd0f6e3d1, "try_module_get" },
	{ 0x975c1a8c, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xfe3d8408, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac4e17e5, "proc_create" },
	{ 0xf79c63, "bio_split_to_limits" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x694933d3, "seq_release" },
	{ 0x6b2fecbe, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xdd39810a, "badblocks_set" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc3c736f1, "fget" },
	{ 0xaae1961d, "invalidate_mapping_pages" },
	{ 0x8ca95db5, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b5dcc5d, "badblocks_exit" },
	{ 0x66be4c22, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x7214d66e, "blk_queue_write_cache" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xb4418752, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6577fef, "kernfs_notify" },
	{ 0x912c05f6, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x1ec47f2d, "bio_end_io_acct_remapped" },
	{ 0x5e754ab6, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd9ac788d, "bio_clone_blkg_association" },
	{ 0x7f9bf36e, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x21968fbd, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfe9d7d99, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd691c6a9, "unregister_sysctl_table" },
	{ 0x7f429610, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x24675597, "sync_blockdev" },
	{ 0xddfb50d7, "free_buffer_head" },
	{ 0x1a45ed94, "blk_queue_flag_set" },
	{ 0x2aa99f27, "blkdev_put" },
	{ 0x7763ca20, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x445d855f, "submit_bio" },
	{ 0x1026705e, "blk_queue_flag_clear" },
	{ 0x8c49668c, "module_put" },
	{ 0x3a6d01ab, "bio_start_io_acct" },
	{ 0xdf80e94c, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4dff5f1c, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x636247c2, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x28b30f3a, "bio_put" },
	{ 0x6c7220fc, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb2bfd025, "fput" },
	{ 0xf4b47d4f, "kobject_add" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x720d9b2c, "bdev_check_media_change" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xee72bd27, "sysfs_remove_link" },
	{ 0x60a04066, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa18f2b0, "submit_bio_noacct" },
	{ 0xa0a12e07, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77174164, "blk_sync_queue" },
	{ 0x7d83b66d, "seq_file_path" },
	{ 0x32793bcd, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x22186a5e, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x46223413, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61c83ea0, "del_gendisk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3ae79e70, "sysfs_create_group" },
	{ 0x8f5f8830, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2a8e551d, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2a0c4a9a, "bd_unlink_disk_holder" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x4deacc63, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xb1f6e519, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x1085f528, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3786dde, "kthread_create_on_node" },
	{ 0x22dc1362, "sysfs_remove_group" },
	{ 0x6d7cf528, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb76612a0, "kobject_del" },
	{ 0x1bcda35e, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xedcc4a83, "param_ops_bool" },
	{ 0x9b46a7ed, "bioset_init" },
	{ 0xfb0040d0, "file_path" },
	{ 0xe827b1e4, "kernfs_put" },
	{ 0x887eb723, "alloc_pages" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x390a9996, "__folio_put" },
	{ 0xb30a6580, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bb2c517, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x66531c09, "kobject_uevent" },
	{ 0x1cf7c49a, "bd_link_disk_holder" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x13272496, "seq_open" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe3002d92, "badblocks_clear" },
	{ 0xd149b507, "bmap" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7b3cf891, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a449c4f, "register_sysctl_table" },
	{ 0x1a78d5f5, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x58d4ddc1, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x970ab93a, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x60e7a23a, "kobject_get" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0x83854ff0, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc76210f3, "kobject_put" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

