#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x8c527a97, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xa4735341, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x6a88fa4f, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x35b06f4e, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xcb24bd8c, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xccfb562f, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x8bbb0ac5, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xfca8bf8f, "");
SYMBOL_CRC(ip_vs_conn_put, 0x4ce50837, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x01c32b16, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x0d5d2bd7, "");
SYMBOL_CRC(register_ip_vs_app, 0xf69dbce8, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x59d9a246, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x0bf6164b, "");
SYMBOL_CRC(ip_vs_proto_get, 0x3a8523b6, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x952bf2c2, "");
SYMBOL_CRC(register_ip_vs_pe, 0xbddc9750, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xfd214bf8, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xd0273eeb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14896459, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x11bec1b4, "nf_conntrack_find_get" },
	{ 0xd0f6e3d1, "try_module_get" },
	{ 0x94184c16, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x489441d, "inet_get_local_port_range" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x9abef998, "skb_copy_bits" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x75551978, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5ecf7f, "nf_register_sockopt" },
	{ 0x489b3d86, "nla_put_64bit" },
	{ 0x60a4d001, "nf_ct_netns_get" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1afe485f, "__nf_ct_ext_find" },
	{ 0xfe8f2c76, "genlmsg_put" },
	{ 0xac5db8f1, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcaa0d635, "__module_get" },
	{ 0x77901e36, "ip_route_output_flow" },
	{ 0xf2c34811, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x988cf088, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xde6fdc12, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9657c77f, "proc_create_net_data" },
	{ 0x933b6c02, "pskb_expand_head" },
	{ 0x208ce687, "register_pernet_subsys" },
	{ 0x5e754ab6, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x30edbd2a, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5cdadbac, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xbe5e4fe0, "__alloc_skb" },
	{ 0x40384ba4, "kmem_cache_alloc" },
	{ 0x8c49668c, "module_put" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4faa8731, "__skb_get_hash" },
	{ 0x92ae129e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x50eeec95, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14d13110, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xfeb78c75, "nf_conntrack_alter_reply" },
	{ 0xa1e60b2a, "ip_route_me_harder" },
	{ 0x3c64648d, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x239a6ec9, "skb_push" },
	{ 0xcdf10169, "kmem_cache_free" },
	{ 0xdd115ae1, "seq_putc" },
	{ 0x95d87ccf, "nla_put" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xba7c7e5b, "nf_ct_expect_alloc" },
	{ 0x95180717, "skb_ensure_writable" },
	{ 0x3298b0af, "iov_iter_kvec" },
	{ 0x2ca58a12, "ip_mc_join_group" },
	{ 0xa5d37961, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd896e0a, "ns_capable" },
	{ 0x71553059, "nf_unregister_net_hooks" },
	{ 0x5eadceec, "inet_select_addr" },
	{ 0xf7d9110d, "unregister_pernet_device" },
	{ 0xd220f76b, "lock_sock_nested" },
	{ 0x72ab6564, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8f5f8830, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbebb04db, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9daf56a, "unregister_pernet_subsys" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x5f3d1b3, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xa60e4264, "ip_defrag" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe709a101, "__pskb_pull_tail" },
	{ 0xb79b5286, "nf_ct_delete" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb7474a05, "skb_trim" },
	{ 0x3e4e9100, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3786dde, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x69684cf7, "nf_ct_deliver_cached_events" },
	{ 0x7db70df, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x47698a27, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xc18b181c, "skb_set_owner_w" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3d858993, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb8558bd8, "init_user_ns" },
	{ 0xde541d54, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb30a6580, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8bb2c517, "seq_printf" },
	{ 0x82d9f419, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x61c41d75, "proc_create_net_single" },
	{ 0x1cf0d15, "ipv4_update_pmtu" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9ec4e9e7, "dst_release" },
	{ 0x674faa20, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x37723355, "seq_puts" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x3b599db5, "ip_local_out" },
	{ 0xe5bce572, "genl_unregister_family" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0x581e2394, "__nla_parse" },
	{ 0x7b3cf891, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x46fb4b30, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe91e9a9b, "kernel_sendmsg" },
	{ 0xf8ff6eeb, "nf_ct_netns_put" },
	{ 0x7e8f02e0, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x87bc35c4, "kmem_cache_destroy" },
	{ 0x2abc3c8e, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");

