#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x18e4c931, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xd065f2ec, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x0f7e8cf8, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x3fc00aca, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x7d8247cd, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x0c73af9e, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xa87b1a57, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x6301371e, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xe930c616, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xb8bf26c8, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xa3e5d2a5, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x5d3bf89f, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x62c3f674, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xe057bae6, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x08d83a26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9f2d4c0e, "kthread_queue_work" },
	{ 0xcfd29757, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xdc460c6b, "kthread_create_worker" },
	{ 0x87b958, "_dev_info" },
	{ 0xd8118789, "sched_set_fifo" },
	{ 0xd6b8e867, "kthread_destroy_worker" },
	{ 0x450ca2da, "crypto_enqueue_request" },
	{ 0x50797224, "crypto_dequeue_request" },
	{ 0x71e1a56c, "crypto_enqueue_request_head" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

