#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_dependency_optimized, 0xba3bd0fc, "");
SYMBOL_CRC(drm_sched_fault, 0x1599cc11, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xf3fb1f87, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x218a881c, "");
SYMBOL_CRC(drm_sched_increase_karma, 0x117b9ffc, "");
SYMBOL_CRC(drm_sched_reset_karma, 0xcd001f5f, "");
SYMBOL_CRC(drm_sched_stop, 0x04d97d78, "");
SYMBOL_CRC(drm_sched_start, 0x851680ac, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0xcd040f99, "");
SYMBOL_CRC(drm_sched_resubmit_jobs_ext, 0x29098329, "");
SYMBOL_CRC(drm_sched_job_init, 0x40ad331d, "");
SYMBOL_CRC(drm_sched_job_arm, 0x3d0e7f5d, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x41a53e06, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x5d1b7cd8, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x01d46f65, "");
SYMBOL_CRC(drm_sched_pick_best, 0x8c1eb465, "");
SYMBOL_CRC(drm_sched_init, 0xcf8b6103, "");
SYMBOL_CRC(drm_sched_fini, 0x1e1be493, "");
SYMBOL_CRC(drm_sched_increase_karma_ext, 0x86c937e0, "");
SYMBOL_CRC(to_drm_sched_fence, 0x3ca7b3c4, "");
SYMBOL_CRC(drm_sched_entity_init, 0x9b4b6766, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x7e7d656a, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xc5823282, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x5b2d303c, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x6ecc9e73, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x5b9e59c2, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x2740a976, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8e21c9a1, "dma_fence_add_callback" },
	{ 0xf2c34811, "kmem_cache_create" },
	{ 0x60dce644, "kthread_park" },
	{ 0xcda0b78, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x98c039dc, "dma_fence_wait_timeout" },
	{ 0x5e754ab6, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x94664a3d, "dma_resv_iter_next" },
	{ 0x3b20fb95, "dma_fence_remove_callback" },
	{ 0x40384ba4, "kmem_cache_alloc" },
	{ 0x6d01a011, "drm_dev_printk" },
	{ 0x581b9267, "kthread_unpark" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x731c4a9c, "dma_fence_signal" },
	{ 0xcdf10169, "kmem_cache_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8f5f8830, "kthread_stop" },
	{ 0x16dee44d, "dma_fence_init" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3786dde, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x83d83b34, "dma_resv_iter_first" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x87bc35c4, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

