#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_bus_type, 0xd9d75d3c, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x1686ace6, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x9e4e1bfc, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xa12fce6d, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xaad6f333, "");
SYMBOL_CRC(sdw_show_ping_status, 0x6199037c, "");
SYMBOL_CRC(sdw_write_no_pm, 0x4a8fbb34, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x72652faa, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x2e3ab03b, "");
SYMBOL_CRC(sdw_read_no_pm, 0x56365e8d, "");
SYMBOL_CRC(sdw_update_no_pm, 0x28f002bc, "");
SYMBOL_CRC(sdw_update, 0xe169a8d7, "");
SYMBOL_CRC(sdw_nread, 0x638f7348, "");
SYMBOL_CRC(sdw_nwrite, 0x48f500e2, "");
SYMBOL_CRC(sdw_read, 0x020590d1, "");
SYMBOL_CRC(sdw_write, 0x5d2c7991, "");
SYMBOL_CRC(sdw_compare_devid, 0xa2123196, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xa66ac326, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xd75228bc, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x528c0417, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x60026c6e, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x62b5a8c6, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xb3fc01c6, "");
SYMBOL_CRC(sdw_slave_add, 0xd82de376, "");
SYMBOL_CRC(sdw_master_read_prop, 0xe88e81a7, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x1871a550, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xd68967df, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xf000337f, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x0a49b1a2, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xeff98f87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbcd47077, "device_property_present" },
	{ 0xd64b5512, "devm_device_add_groups" },
	{ 0x75148818, "is_acpi_device_node" },
	{ 0x71778a69, "of_fwnode_ops" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5f079cf0, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xdbfe8efd, "device_unregister" },
	{ 0xb4167624, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x66be4c22, "seq_lseek" },
	{ 0xb1867ae4, "of_node_get" },
	{ 0x2f254639, "dev_pm_domain_attach" },
	{ 0x7af4ad6d, "devm_device_add_group" },
	{ 0x5c6a00ca, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4eb19dd, "of_get_property" },
	{ 0x71cf3e8d, "pm_generic_runtime_resume" },
	{ 0x8649965e, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xc6895187, "of_get_next_child" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x1404703a, "put_device" },
	{ 0xcae8f16b, "pm_runtime_enable" },
	{ 0xac54c5bf, "device_property_read_u32_array" },
	{ 0x477c75ed, "fwnode_property_read_u32_array" },
	{ 0x3020cee, "dev_pm_domain_detach" },
	{ 0xbc25c46d, "pm_generic_runtime_suspend" },
	{ 0x52026e9, "bus_unregister" },
	{ 0xcfd29757, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8667b5a3, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x66dcab7a, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9bc10045, "device_register" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9e54c6e, "devm_kasprintf" },
	{ 0x6d7cf528, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x475cd972, "fwnode_property_present" },
	{ 0x76ba7a00, "debugfs_create_file" },
	{ 0x70e0b502, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcaffe2c4, "device_get_named_child_node" },
	{ 0x8bb2c517, "seq_printf" },
	{ 0xb7fd6c1a, "single_release" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0xcef33093, "acpi_dev_for_each_child" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0xd2ced773, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x34588988, "__pm_runtime_use_autosuspend" },
	{ 0xa3780987, "single_open" },
	{ 0xa6d17485, "__pm_runtime_disable" },
	{ 0x8e69ef62, "debugfs_create_dir" },
	{ 0x600d3c0a, "driver_register" },
	{ 0x941601c3, "__pm_runtime_idle" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0x6536e337, "bus_register" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

