#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_tag_drivers_register, 0x3b9464d7, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xe5613920, "_gpl");
SYMBOL_CRC(dsa_dev_to_net_device, 0x4c349720, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x777e31a3, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xf105ef41, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xac6dd9cd, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x114654ef, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x71bd0a58, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xd794c043, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x1cf2c07b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x68791a2d, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xec709bc9, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xd6776a08, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x0672c1e6, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x958f7499, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xb3442676, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xf6427a80, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x3aa3b942, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x1143b539, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x1e25e36a, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x3709442e, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xf1c09493, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0xaebfb10c, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x85aaec35, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x161b8aec, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xb3c059c6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0xb3dd0bc4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x077bb583, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x0ce88f07, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0x5aee471d, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x45b4bf74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc33ffdec, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x20b28d17, "netdev_lower_get_next" },
	{ 0x2fdc6126, "flow_block_cb_lookup" },
	{ 0xeb0a1671, "switchdev_handle_port_obj_add_foreign" },
	{ 0xc80f8e4a, "devlink_resource_occ_get_unregister" },
	{ 0xccef661b, "dev_set_mtu" },
	{ 0xe37d723a, "br_vlan_enabled" },
	{ 0x998bc4fe, "__skb_pad" },
	{ 0xa0b7ae0d, "devlink_port_type_eth_set" },
	{ 0xd0f6e3d1, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x946c0028, "devlink_unregister" },
	{ 0x2a69517d, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xc4d4da0, "br_port_flag_is_set" },
	{ 0xd6601a29, "devm_kmalloc" },
	{ 0x1c3926d5, "of_node_put" },
	{ 0xd420c392, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd2eb772, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x68f396dc, "br_port_get_stp_state" },
	{ 0x431c3b4, "of_phy_find_device" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8ab03134, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfabb5e6c, "br_vlan_get_proto" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x5b129926, "br_mst_get_state" },
	{ 0xc733ae9e, "unregister_netdev" },
	{ 0xc57a26d1, "dev_uc_del" },
	{ 0x29ed2bfb, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x15bc713d, "devlink_params_unregister" },
	{ 0x2de8c2cf, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x198f79f3, "devlink_alloc_ns" },
	{ 0xec8d823, "dev_set_promiscuity" },
	{ 0xc498bdc9, "devlink_register" },
	{ 0xed828f53, "devlink_port_type_clear" },
	{ 0x660eb6bd, "devlink_free" },
	{ 0x1ad31958, "of_phandle_iterator_next" },
	{ 0x4237638d, "gro_cells_init" },
	{ 0xcf8d4cc3, "netdev_warn" },
	{ 0xec73ebe1, "unregister_netdevice_queue" },
	{ 0x7ae1b757, "get_device" },
	{ 0x95aad248, "of_get_next_available_child" },
	{ 0x426ebe05, "skb_pull_rcsum" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x19ccc749, "ether_setup" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x7842889f, "switchdev_handle_fdb_event_to_device" },
	{ 0xc4eb19dd, "of_get_property" },
	{ 0x62bc559e, "netdev_err" },
	{ 0x22d3816c, "netdev_upper_dev_link" },
	{ 0x933b6c02, "pskb_expand_head" },
	{ 0x71b88643, "switchdev_handle_port_attr_set" },
	{ 0xf1d6a974, "phylink_create" },
	{ 0x7ced54, "vlan_for_each" },
	{ 0x6b0c2e09, "netdev_port_same_parent_id" },
	{ 0xb0ea2a27, "dev_addr_mod" },
	{ 0xcd11f663, "eth_type_trans" },
	{ 0x7dc074d8, "alloc_netdev_mqs" },
	{ 0xf2adc111, "of_device_compatible_match" },
	{ 0x92997ed8, "_printk" },
	{ 0xc0d29aa3, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb3c24955, "genphy_resume" },
	{ 0xe0e6a84b, "vlan_dev_vlan_proto" },
	{ 0x3ea1b6e4, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1404703a, "put_device" },
	{ 0x7f00bdac, "devlink_resource_register" },
	{ 0xd61c5dff, "netdev_upper_get_next_dev_rcu" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4e91c963, "netif_device_detach" },
	{ 0xaa6969c6, "switchdev_bridge_port_offload" },
	{ 0xbd348821, "of_get_mac_address" },
	{ 0x5569b549, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x8c49668c, "module_put" },
	{ 0xd668c50c, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf94de295, "of_get_child_by_name" },
	{ 0x647a3b6d, "dev_open" },
	{ 0x6110ed39, "devlink_region_create" },
	{ 0x203d01be, "vlan_dev_real_dev" },
	{ 0xb817a565, "__dev_get_by_index" },
	{ 0x4eed0255, "rtnl_link_unregister" },
	{ 0x849456e2, "devlink_port_unregister" },
	{ 0xcfd29757, "_dev_err" },
	{ 0x92ae129e, "init_net" },
	{ 0x97365c69, "noop_qdisc" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7e913e2, "__of_parse_phandle_with_args" },
	{ 0x6fa783ea, "phy_ethtool_get_strings" },
	{ 0x6de744c9, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x25c5884e, "__of_mdiobus_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9cbc3096, "dev_remove_pack" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x3c64648d, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x14b5ddf3, "gro_cells_receive" },
	{ 0xf590fc2a, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x239a6ec9, "skb_push" },
	{ 0x72d1740d, "netdev_upper_dev_unlink" },
	{ 0x95d87ccf, "nla_put" },
	{ 0xf32f2d4c, "dev_mc_del" },
	{ 0x9166fada, "strncpy" },
	{ 0xed53755, "br_vlan_get_info" },
	{ 0x523d8998, "free_netdev" },
	{ 0x90a295ab, "of_find_property" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40767c70, "mdiobus_free" },
	{ 0xe43435c1, "phylink_generic_validate" },
	{ 0x3ae79e70, "sysfs_create_group" },
	{ 0x159d5a81, "devlink_resource_occ_get_register" },
	{ 0xdde7e14, "of_find_net_device_by_node" },
	{ 0xe84dec85, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xf476cc79, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xd492a68d, "devlink_port_fini" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x92f65f9c, "switchdev_bridge_port_unoffload" },
	{ 0xdcb764ad, "memset" },
	{ 0x665b75b3, "_dev_warn" },
	{ 0x4f10ce0e, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9e35f9bf, "of_phy_register_fixed_link" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x89c1b024, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x303dc8b, "netif_rx" },
	{ 0x25355f60, "dev_mc_add" },
	{ 0xa06b3850, "flow_block_cb_alloc" },
	{ 0xc0f75505, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb7474a05, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x22dc1362, "sysfs_remove_group" },
	{ 0x533bf078, "net_selftest" },
	{ 0xb462bad0, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6ee0efb4, "phylink_ethtool_ksettings_set" },
	{ 0xeeb8d982, "devlink_port_init" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1b83891e, "of_get_phy_mode" },
	{ 0xd5d26abd, "__dev_queue_xmit" },
	{ 0x978b5c6e, "vlan_vid_add" },
	{ 0x1fe38e5f, "devlink_params_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x199f915e, "__dev_kfree_skb_any" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x6ae4d25b, "vlan_vid_del" },
	{ 0xe2c4e411, "dev_set_allmulti" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x50616e69, "devlink_resources_unregister" },
	{ 0x19ef39ed, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24b39492, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc77629f6, "__vlan_find_dev_deep_rcu" },
	{ 0x36f24bec, "devlink_port_region_create" },
	{ 0x6e3347ec, "devlink_priv" },
	{ 0xf6dbb678, "skb_copy" },
	{ 0x3644901, "__hw_addr_sync_dev" },
	{ 0x52da9519, "mdiobus_get_phy" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc430fe5f, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xeed20ec7, "alt_cb_patch_nops" },
	{ 0x136054fd, "dev_uc_add" },
	{ 0xea330a3c, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x284c5e15, "br_mst_enabled" },
	{ 0xfc9737f2, "kmalloc_trace" },
	{ 0x1505dc71, "genphy_read_status" },
	{ 0x8f4c303a, "of_phandle_iterator_init" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xb05a4fc1, "phylink_of_phy_connect" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x55e4b11, "of_phy_deregister_fixed_link" },
	{ 0x35c9046a, "device_link_add" },
	{ 0x1d654e7a, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c1d0e2c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf07d151c, "__skb_vlan_pop" },
	{ 0xf02e61d0, "of_phy_is_fixed_link" },
	{ 0x1a5a2823, "phylink_connect_phy" },
	{ 0xf01ee94c, "br_get_ageing_time" },
	{ 0xf9f994bf, "genphy_suspend" },
	{ 0x6a51ec38, "devlink_port_register" },
	{ 0x7e4ca230, "register_netdevice" },
	{ 0xa94d0b27, "module_layout" },
};

MODULE_INFO(depends, "");

